import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This class is just an example for a normal moving object.
 * It's not neccessary for the scrolling system so you can delete it if you don't need it.
 */
public class ExamplePlayer extends Player
{
    private int angle = 0;
    private int counter;
    
    public ExamplePlayer() {
        
    }
    
    public void act() {
        move(angle, 2);
        counter++;
        if (counter > 30) {
            angle += 90;
            counter = 0;
        }
    }
    
    public void move(double angle, double distance) throws NullPointerException {
        angle = Math.toRadians(angle);
        setLocation(getX() + Math.cos(angle) * distance, getY() + Math.sin(angle) * distance);
    }
}