import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This subclass is just an example. You can delete it or change the code if you want.
 * It's not necessary for the scrolling system.
 */
public class ExampleWorld extends SlideBarScrollingWorld
{
    
    public ExampleWorld() {
        super(600, 400, 1, 800, 1200);//creates an slide bar scrolling world with a screen size of 600 x 400 and a scrolling size of 800x1200;
        setScrollingBackground(new GreenfootImage("weave.jpg"));
        createExampleWorld();//this method just adds some objects to the world.
        //to enable the mouse scrolling system use setMouseScrollingEnabled(true);
        //to enable the scrolling keys use setScrollingKeys() with the name of the keys you want to use (see SlideBarScrollingWorld -> setScrollingKeys);
        Greenfoot.start();
    }
    
    /**
     * This method replaces the act mehtod. Because the scrolling system has to be called in every act cycle the act method is declared final in the superclass.
     * But the act method calls this method every act cycle so you can use it as your normal act method. It just has another name. Everything else is still the same.
     */
    public void run() {
        
    }
    
    /**
     * Creates an example world where the ScrollingActor can move.
     */
    public void createExampleWorld() {
        for (int x = getWidth() * -3; x < getWidth() * 3; x += getWidth()/2) {
            for (int y = getHeight() * -3; y < getHeight() * 3; y += getHeight()/2) {
                if (x != getWidth()/2 || y != getHeight()/2) {
                    addObject(new ExampleObject(), x, y);
                }
            }
        }
        for (int x = getWidth() * -3 + getWidth()/2; x < getWidth() * 3; x += getWidth()) {
            for (int y = getHeight() * -3 + getHeight()/4; y < getHeight() * 3; y += getHeight()) {
                addObject(new ExamplePlayer(), x, y);
            }
        }
    }
}